## python-stdnum 1.11

=== update/requirements.txt ===
beautifulsoup4
requests
xlrd

=== debian/changelog ===
python-stdnum (1.11-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - DNI (Documento Nacional de Identidad, Argentinian national ID)
      - VNR, SVNR, VSNR (Versicherungsnummer, Austrian social security number)
      - NI (Número de identidad, Cuban identity card numbers)
      - AMKA (Αριθμός Μητρώου Κοινωνικής Ασφάλισης, Greek social security
        number)
      - Asmens kodas (Lithuanian, personal numbers)
      - MAC address (Media Access Control address)
      - IDNO (Moldavian company identification number)
      - CURP (Clave Única de Registro de Población, Mexican personal ID)
      - Fødselsnummer (Norwegian birth number, the national identity number)
      - New Zealand bank account number
      - Personnummer (Swedish personal identity number)
    - Change Dominican Republic DGII check URL to HTTPS
    - Support Ecuadorian Cedula and RUC of foreigners
    - Add format() function for Argentinian CUIT number
    - Support passing formatted numbers to all get_birth_date() and similar
      functions
    - Handle Dominican Republic DGII lookup returning multiple entities
  * Update debian/copyright
  * Upgrade to standards-version 4.3.0 (no changes needed)
  * Make signing key minimal (thanks lintian)
  * Update package description

 -- Arthur de Jong <adejong@debian.org>  Sun, 10 Mar 2019 22:10:03 +0100

=== debian/control ===
Source: python-stdnum
Section: python
Priority: optional
Maintainer: Arthur de Jong <adejong@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 4.3.0
Build-Depends: python-all (>= 2.6.6-3~), python3-all (>= 3.1.2-10~),
               debhelper (>= 9), dh-python,
               python-setuptools, python3-setuptools,
               python-nose (>= 1.2.0), python3-nose (>= 1.2.0),
               python3-sphinx (>= 1.0.7+dfsg)
Homepage: https://arthurdejong.org/python-stdnum/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-stdnum.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-stdnum

Package: python-stdnum
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
Suggests: python-zeep | python-pysimplesoap | python-suds, python-stdnum-doc
Description: Python module to handle standardized numbers and codes
 A Python module to parse, validate and reformat standard numbers and codes
 in different formats.
 .
 Currently this package supports the following formats:
 .
  * NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT number)
  * CBU (Clave Bancaria Uniforme, Argentine bank account number)
  * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
  * DNI (Documento Nacional de Identidad, Argentinian national identity nr.)
  * Austrian Company Register Numbers
  * Postleitzahl (Austrian postal code)
  * Abgabenkontonummer (Austrian tax identification number)
  * UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
  * VNR, SVNR, VSNR (Versicherungsnummer, Austrian social security number)
  * ABN (Australian Business Number)
  * ACN (Australian Company Number)
  * TFN (Australian Tax File Number)
  * Belgian IBAN (International Bank Account Number)
  * BTW, TVA, NWSt, ondernemingsnummer (Belgian enterprise number)
  * EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
  * PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
  * VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
  * BIC (ISO 9362 Business identifier codes)
  * Bitcoin address
  * CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazillian company identifier)
  * CPF (Cadastro de Pessoas Físicas, Brazillian national identifier)
  * BN (Canadian Business Number)
  * SIN (Canadian Social Insurance Number)
  * CAS RN (Chemical Abstracts Service Registry Number)
  * Swiss social security number ("Sozialversicherungsnummer")
  * UID (Unternehmens-Identifikationsnummer, Swiss business identifier)
  * VAT, MWST, TVA, IVA, TPV (Mehrwertsteuernummer, the Swiss VAT number)
  * RUT (Rol Único Tributario, Chilean national tax number)
  * RIC No. (Chinese Resident Identity Card Number)
  * NIT (Número De Identificación Tributaria, Colombian identity code)
  * NI (Número de identidad, Cuban identity card numbers)
  * CUSIP number (financial security identification number)
  * Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
  * DIČ (Daňové identifikační číslo, Czech VAT number)
  * RČ (Rodné číslo, the Czech birth number)
  * Handelsregisternummer (German company register number)
  * IdNr (Steuerliche Identifikationsnummer, German personal tax number)
  * St.-Nr. (Steuernummer, German tax number)
  * Ust ID Nr. (Umsatzsteur Identifikationnummer, German VAT number)
  * Wertpapierkennnummer (German securities identification code)
  * CPR (personnummer, the Danish citizen number)
  * CVR (Momsregistreringsnummer, Danish VAT number)
  * Cedula (Dominican Republic national identification number)
  * NCF (Números de Comprobante Fiscal, Dominican Republic receipt number)
  * RNC (Registro Nacional del Contribuyente, Dominican Republic tax number)
  * EAN (International Article Number)
  * CI (Cédula de identidad, Ecuadorian personal identity code)
  * RUC (Registro Único de Contribuyentes, Ecuadorian company tax number)
  * Isikukood (Estonian Personcal ID number)
  * KMKR (Käibemaksukohuslase, Estonian VAT number)
  * Registrikood (Estonian organisation registration code)
  * CCC (Código Cuenta Corriente, Spanish Bank Account Code)
  * CIF (Certificado de Identificación Fiscal, Spanish company tax number)
  * CUPS (Código Unificado de Punto de Suministro, Supply Point Unified Code)
  * DNI (Documento nacional de identidad, Spanish personal identity codes)
  * Spanish IBAN (International Bank Account Number)
  * NIE (Número de Identificación de Extranjeros, Spanish foreigner number)
  * NIF (Número de Identificación Fiscal, Spanish VAT number)
  * Referencia Catastral (Spanish real estate property id)
  * SEPA Identifier of the Creditor (AT-02)
  * Euro banknote serial numbers
  * EIC (European Energy Identification Code)
  * NACE (classification for businesses in the European Union)
  * VAT (European Union VAT number)
  * ALV nro (Arvonlisäveronumero, Finnish VAT number)
  * Finnish Association Identifier
  * HETU (Henkilötunnus, Finnish personal identity code)
  * Veronumero (Finnish individual tax number)
  * Y-tunnus (Finnish business identifier)
  * FIGI (Financial Instrument Global Identifier)
  * NIF (Numéro d'Immatriculation Fiscale, French tax identification number)
  * NIR (French personal identification number)
  * SIREN (a French company identification number)
  * SIRET (a French company establishment identification number)
  * n° TVA (taxe sur la valeur ajoutée, French VAT number)
  * NHS (United Kingdom National Health Service patient identifier)
  * SEDOL number (Stock Exchange Daily Official List number)
  * UPN (English Unique Pupil Number)
  * VAT (United Kingdom (and Isle of Man) VAT registration number)
  * AMKA (Αριθμός Μητρώου Κοινωνικής Ασφάλισης, Greek social security number)
  * FPA, ΦΠΑ, ΑΦΜ (Αριθμός Φορολογικού Μητρώου, the Greek VAT number)
  * GRid (Global Release Identifier)
  * OIB (Osobni identifikacijski broj, Croatian identification number)
  * ANUM (Közösségi adószám, Hungarian VAT number)
  * IBAN (International Bank Account Number)
  * PPS No (Personal Public Service Number, Irish personal number)
  * VAT (Irish tax reference number)
  * IMEI (International Mobile Equipment Identity)
  * IMO number (International Maritime Organization number)
  * IMSI (International Mobile Subscriber Identity)
  * Aadhaar (Indian digital resident personal identity number)
  * PAN (Permanent Account Number, Indian income tax identifier)
  * Kennitala (Icelandic personal and organisation identity code)
  * VSK number (Virðisaukaskattsnúmer, Icelandic VAT number)
  * ISAN (International Standard Audiovisual Number)
  * ISBN (International Standard Book Number)
  * ISIL (International Standard Identifier for Libraries)
  * ISIN (International Securities Identification Number)
  * ISMN (International Standard Music Number)
  * ISO 11649 (Structured Creditor Reference)
  * ISO 6346 (International standard for container identification)
  * ISSN (International Standard Serial Number)
  * Codice Fiscale (Italian tax code for individuals)
  * Partita IVA (Italian VAT number)
  * LEI (Legal Entity Identifier)
  * Asmens kodas (Lithuanian, personal numbers)
  * PVM (Pridėtinės vertės mokestis mokėtojo kodas, Lithuanian VAT number)
  * TVA (taxe sur la valeur ajoutée, Luxembourgian VAT number)
  * PVN (Pievienotās vērtības nodokļa, Latvian VAT number)
  * MAC address (Media Access Control address)
  * n° TVA (taxe sur la valeur ajoutée, Monacan VAT number)
  * IDNO (Moldavian company identification number)
  * Montenegro IBAN (International Bank Account Number)
  * MEID (Mobile Equipment Identifier)
  * VAT (Maltese VAT number)
  * ID number (Mauritian national identifier)
  * CURP (Clave Única de Registro de Población, Mexican personal ID)
  * RFC (Registro Federal de Contribuyentes, Mexican tax number)
  * NRIC No. (Malaysian National Registration Identity Card Number)
  * BRIN number (the Dutch school identification number)
  * BSN (Burgerservicenummer, the Dutch citizen identification number)
  * Btw-nummer (Omzetbelastingnummer, the Dutch VAT number)
  * Onderwijsnummer (the Dutch student identification number)
  * Postcode (the Dutch postal code)
  * Fødselsnummer (Norwegian birth number, the national identity number)
  * Norwegian IBAN (International Bank Account Number)
  * Konto nr. (Norwegian bank account number)
  * MVA (Merverdiavgift, Norwegian VAT number)
  * Orgnr (Organisasjonsnummer, Norwegian organisation number)
  * New Zealand bank account number
  * NIP (Numer Identyfikacji Podatkowej, Polish VAT number)
  * PESEL (Polish national identification number)
  * REGON (Rejestr Gospodarki Narodowej, Polish register of economic units)
  * NIF (Número de identificação fiscal, Portuguese VAT number)
  * CF (Cod de înregistrare în scopuri de TVA, Romanian VAT number)
  * CNP (Cod Numeric Personal, Romanian Numerical Personal Code)
  * PIB (Poreski Identifikacioni Broj, Serbian tax identification number)
  * ИНН (Идентификационный номер налогоплательщика, Russian tax identifier)
  * Orgnr (Organisationsnummer, Swedish company number)
  * Personnummer (Swedish personal identity number)
  * VAT (Moms, Mervärdesskatt, Swedish VAT number)
  * ID za DDV (Davčna številka, Slovenian VAT number)
  * IČ DPH (IČ pre daň z pridanej hodnoty, Slovak VAT number)
  * RČ (Rodné číslo, the Slovak birth number)
  * COE (Codice operatore economico, San Marino national tax number)
  * T.C. Kimlik No. (Turkish personal identification number)
  * ATIN (U.S. Adoption Taxpayer Identification Number)
  * EIN (U.S. Employer Identification Number)
  * ITIN (U.S. Individual Taxpayer Identification Number)
  * PTIN (U.S. Preparer Tax Identification Number)
  * RTN (Routing transport number)
  * SSN (U.S. Social Security Number)
  * TIN (U.S. Taxpayer Identification Number)
 .
 Furthermore a number of generic check digit algorithms are available:
 .
  * the Verhoeff algorithm
  * the Damm algorithm
  * the Luhn and Luhn mod N algorithms
  * some algorithms described in ISO/IEC 7064: Mod 11, 2, Mod 37, 2,
    Mod 97, 10, Mod 11, 10 and Mod 37, 36
 .
 This package contains the Python 2 version of the library.

Package: python3-stdnum
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Suggests: python3-zeep | python3-pysimplesoap, python-stdnum-doc
Description: Python module to handle standardized numbers and codes (Python3 version)
 A Python module to parse, validate and reformat standard numbers and codes
 in different formats.
 .
 Currently this package supports the following formats:
 .
  * NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT number)
  * CBU (Clave Bancaria Uniforme, Argentine bank account number)
  * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
  * DNI (Documento Nacional de Identidad, Argentinian national identity nr.)
  * Austrian Company Register Numbers
  * Postleitzahl (Austrian postal code)
  * Abgabenkontonummer (Austrian tax identification number)
  * UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
  * VNR, SVNR, VSNR (Versicherungsnummer, Austrian social security number)
  * ABN (Australian Business Number)
  * ACN (Australian Company Number)
  * TFN (Australian Tax File Number)
  * Belgian IBAN (International Bank Account Number)
  * BTW, TVA, NWSt, ondernemingsnummer (Belgian enterprise number)
  * EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
  * PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
  * VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
  * BIC (ISO 9362 Business identifier codes)
  * Bitcoin address
  * CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazillian company identifier)
  * CPF (Cadastro de Pessoas Físicas, Brazillian national identifier)
  * BN (Canadian Business Number)
  * SIN (Canadian Social Insurance Number)
  * CAS RN (Chemical Abstracts Service Registry Number)
  * Swiss social security number ("Sozialversicherungsnummer")

## python-stdnum 1.13

=== update/requirements.txt ===
lxml
requests
xlrd

=== debian/changelog ===
python-stdnum (1.13-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - ESR, ISR, QR-reference (reference number on Swiss payment slips)
      - ID number (South African Identity Document number)
    - Add format function for ISO 11649 numbers
    - Add support for Python 3.8
    - Clarify that the Italian Codice Fiscale can also be the IVA for
      companies
    - Support the new Dutch btw-identificatienummer
    - Extend test for Argentinian CUIT to check first two digits
    - Add more country codes to ISIN
  * Update debian/copyright

 -- Arthur de Jong <adejong@debian.org>  Sun, 19 Jan 2020 15:19:58 +0100

python-stdnum (1.12-1) unstable; urgency=medium

  [ Arthur de Jong ]
  * New upstream release:
    - Add modules for the following number formats:
      - NRT (Número de Registre Tributari, Andorra tax number)
      - CPF (Cédula de Persona Física, Costa Rica physical person ID number)
      - CPJ (Cédula de Persona Jurídica, Costa Rica tax number)
      - CR (Cédula de Residencia, Costa Rica foreigners ID number)
      - NIT (Número de Identificación Tributaria, Guatemala tax number)
      - Identity Number (Mispar Zehut, מספר זהות, Israeli identity number)
      - CN (法人番号, hōjin bangō, Japanese Corporate Number)
      - RRN (South Korean resident registration number)
      - IRD number (New Zealand Inland Revenue Department (Te Tari Tāke) number)
      - CUI (Cédula Única de Identidad, Peruvian identity number)
      - RUC (Registro Único de Contribuyentes, Peruvian company tax number)
      - RUC number (Registro Único de Contribuyentes, Paraguay tax number)
      - VKN (Vergi Kimlik Numarası, Turkish tax identification number)
      - RUT (Registro Único Tributario, Uruguay tax number)
      - RIF (Registro de Identificación Fiscal, Venezuelan VAT number)
      - TIN (South African Tax Identification Number)
    - Support GTIN (EAN-14) validation as part of EAN
    - Support Dominican Republic e-CF within NCF
    - Fix Dominican Republic DGII lookups of NCF
    - Fix German Handelsregisternummer to not confuse Hamburg with Homburg
      and to accept shorter numbers
    - Support lookups of German Handelsregisternummer in OffeneRegister.de web
      service
    - Handle - and + sign correctly in Swedish Personnummer
    - Provide various personalid and vat aliases for existing numbers
    - Improve descriptions of Spanish codes
    - Fix handling and normalisation of various Unicode digit representations
  * Add ${sphinxdoc:Depends} to python-stdnum-doc Depends

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

 -- Arthur de Jong <adejong@debian.org>  Sat, 02 Nov 2019 17:40:41 +0100

python-stdnum (1.11-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * Team upload.
  * Drop Python 2 support

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Aug 2019 21:07:45 -0400

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Arthur de Jong <adejong@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 4.3.0
-Build-Depends: python-all (>= 2.6.6-3~), python3-all (>= 3.1.2-10~),
-               debhelper (>= 9), dh-python,
-               python-setuptools, python3-setuptools,
-               python-nose (>= 1.2.0), python3-nose (>= 1.2.0),
+Standards-Version: 4.4.1
+Build-Depends: python3-all (>= 3.1.2-10~),
+               debhelper-compat (= 9), dh-python,
+               python3-setuptools,
+               python3-nose (>= 1.2.0),
                python3-sphinx (>= 1.0.7+dfsg)
 Homepage: https://arthurdejong.org/python-stdnum/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-stdnum.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-stdnum
 
-Package: python-stdnum
+Package: python3-stdnum
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-pkg-resources
-Suggests: python-zeep | python-pysimplesoap | python-suds, python-stdnum-doc
-Description: Python module to handle standardized numbers and codes
+Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
+Suggests: python3-zeep | python3-pysimplesoap, python-stdnum-doc
+Description: Python module to handle standardized numbers and codes (Python3 version)
  A Python module to parse, validate and reformat standard numbers and codes
  in different formats.
  .
@@ -185,40 +185,18 @@
   * some algorithms described in ISO/IEC 7064: Mod 11, 2, Mod 37, 2,
     Mod 97, 10, Mod 11, 10 and Mod 37, 36
  .
- This package contains the Python 2 version of the library.
+ This package contains the Python 3 version of the library.
 
-Package: python3-stdnum
+Package: python-stdnum-doc
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
-Suggests: python3-zeep | python3-pysimplesoap, python-stdnum-doc
-Description: Python module to handle standardized numbers and codes (Python3 version)
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Suggests: www-browser
+Section: doc
+Description: Python module to handle standardized numbers and codes (Documentation)
  A Python module to parse, validate and reformat standard numbers and codes
  in different formats.
  .
- Currently this package supports the following formats:
- .
-  * NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT number)
-  * CBU (Clave Bancaria Uniforme, Argentine bank account number)
-  * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
-  * DNI (Documento Nacional de Identidad, Argentinian national identity nr.)
-  * Austrian Company Register Numbers
-  * Postleitzahl (Austrian postal code)
-  * Abgabenkontonummer (Austrian tax identification number)
-  * UID (Umsatzsteuer-Identifikationsnummer, Austrian VAT number)
-  * VNR, SVNR, VSNR (Versicherungsnummer, Austrian social security number)
-  * ABN (Australian Business Number)
-  * ACN (Australian Company Number)
-  * TFN (Australian Tax File Number)
-  * Belgian IBAN (International Bank Account Number)
-  * BTW, TVA, NWSt, ondernemingsnummer (Belgian enterprise number)
-  * EGN (ЕГН, Единен граждански номер, Bulgarian personal identity codes)
-  * PNF (ЛНЧ, Личен номер на чужденец, Bulgarian number of a foreigner)
-  * VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
-  * BIC (ISO 9362 Business identifier codes)
-  * Bitcoin address
-  * CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazillian company identifier)
-  * CPF (Cadastro de Pessoas Físicas, Brazillian national identifier)
-  * BN (Canadian Business Number)
-  * SIN (Canadian Social Insurance Number)
-  * CAS RN (Chemical Abstracts Service Registry Number)
-  * Swiss social security number ("Sozialversicherungsnummer")
+ The package supports a great number of number formats and check digit
+ algorithms.
+ .
+ This package contains the module's documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Explicitly set LC_ALL (LC_CTYPE isn't enough) to ensure Python3
# generates UTF-8 files by default. This should no longer be needed when
# distutils is fixed, see https://bugs.python.org/issue9561
export LC_ALL=C.UTF-8

export PYBUILD_NAME = stdnum

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -b html docs/ build/html

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='TZ=Europe/Amsterdam {interpreter} setup.py nosetests'

## python-stdnum 1.14

=== debian/changelog ===
python-stdnum (1.14-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - УНП, UNP (Учетный номер плательщика, the Belarus VAT number)
      - AIC (Italian code for identification of drugs)
        (thanks Fabrizio Montanari)
      - Company Number (מספר חברה, or short ח.פ. Israeli company number)
        (thanks Leandro Regueiro)
      - NIT (Número de Identificación Tributaria, El Salvador tax number)
        (thanks Leandro Regueiro)
      - USCC (Unified Social Credit Code, 统一社会信用代码, China tax number)
        (thanks Leandro Regueiro)
      - UEN (Singapore's Unique Entity Number) (thanks Leandro Regueiro)
      - BRN (사업자 등록 번호, South Korea Business Registration Number)
        (thanks Leandro Regueiro)
      - MST (Mã số thuế, Vietnam tax number) (thanks Leandro Regueiro)
      - NPWP (Nomor Pokok Wajib Pajak, Indonesian VAT Number)
        (thanks Leandro Regueiro)
      - UBN (Unified Business Number, 統一編號, Taiwanese tax number)
        (thanks Leandro Regueiro)
      - UTR (United Kingdom Unique Taxpayer Reference) (thanks Mohammed Salman)
      - ONRC (Ordine din Registrul Comerţului, Romanian Trade Register
        identifier) (thanks dotbit1)
      - GS1-128 (Standard to encode product information in Code 128 barcodes)
        (thanks Sergi Almacellas Abellana)
      - VATIN (International value added tax identification number)
        (thanks Leandro Regueiro)
    - Fix missing Dominican Republic NCF document types (thanks Gustavo
      Valverde)
    - Fix issue with extra plus or minus in Swedish Personnummer
      (thanks balderman)
    - Update Dominican Republic DGII endpoint (thanks Gustavo Valverde)
    - Support validating temporary Finnish personal identity codes
      (thanks Aleksi Hoffman)
    - Fix misleading docstring in se.personnummer.get_birth_date()
      (thanks Leon Sandøy)
    - Improve birth date validation in Danish CPR (thanks Leon Sandøy)
    - Add birth date validating in Norwegian Fødselsnummer (thanks Leon Sandøy)
    - Add missing vat aliases for a number of countries (thanks Leandro
      Regueiro)
    - Use HTTPS instead of HTTP fox VIES lookups (thanks grzekru)
    - Switch to HTTPS URLs where possible
    - Support 6 as third digit in Ecuadorian CI (thanks Christopher Ormaza)
    - Add an online check for South Korean BRN
    - Fix unescaping in Dominican Republic RNC online check (thanks evaldez89)
    - Support foreign residents for Romanian CNP (thanks dotbit1)
  * Update debhelper compatibility level to 13
  * Upgrade to standards-version 4.5.0 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sun, 09 Aug 2020 19:37:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Arthur de Jong <adejong@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: python3-all (>= 3.1.2-10~),
-               debhelper-compat (= 9), dh-python,
+               debhelper-compat (= 13), dh-python,
                python3-setuptools,
                python3-nose (>= 1.2.0),
                python3-sphinx (>= 1.0.7+dfsg)
@@ -23,6 +23,7 @@
  .
  Currently this package supports the following formats:
  .
+  * NRT (Número de Registre Tributari, Andorra tax number)
   * NIPT (Numri i Identifikimit për Personin e Tatueshëm, Albanian VAT number)
   * CBU (Clave Bancaria Uniforme, Argentine bank account number)
   * CUIT (Código Único de Identificación Tributaria, Argentinian tax number)
@@ -42,17 +43,23 @@
   * VAT (Идентификационен номер по ДДС, Bulgarian VAT number)
   * BIC (ISO 9362 Business identifier codes)
   * Bitcoin address
-  * CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazillian company identifier)
-  * CPF (Cadastro de Pessoas Físicas, Brazillian national identifier)
+  * CNPJ (Cadastro Nacional da Pessoa Jurídica, Brazilian company identifier)
+  * CPF (Cadastro de Pessoas Físicas, Brazilian national identifier)
+  * УНП, UNP (Учетный номер плательщика, the Belarus VAT number)
   * BN (Canadian Business Number)
   * SIN (Canadian Social Insurance Number)
   * CAS RN (Chemical Abstracts Service Registry Number)
+  * ESR, ISR, QR-reference (reference number on Swiss payment slips)
   * Swiss social security number ("Sozialversicherungsnummer")
   * UID (Unternehmens-Identifikationsnummer, Swiss business identifier)
   * VAT, MWST, TVA, IVA, TPV (Mehrwertsteuernummer, the Swiss VAT number)
   * RUT (Rol Único Tributario, Chilean national tax number)
   * RIC No. (Chinese Resident Identity Card Number)
+  * USCC (Unified Social Credit Code, 统一社会信用代码, China tax number)
   * NIT (Número De Identificación Tributaria, Colombian identity code)
+  * CPF (Cédula de Persona Física, Costa Rica physical person ID number)
+  * CPJ (Cédula de Persona Jurídica, Costa Rica tax number)
+  * CR (Cédula de Residencia, Costa Rica foreigners ID number)
   * NI (Número de identidad, Cuban identity card numbers)
   * CUSIP number (financial security identification number)
   * Αριθμός Εγγραφής Φ.Π.Α. (Cypriot VAT number)
@@ -75,11 +82,11 @@
   * KMKR (Käibemaksukohuslase, Estonian VAT number)
   * Registrikood (Estonian organisation registration code)
   * CCC (Código Cuenta Corriente, Spanish Bank Account Code)
-  * CIF (Certificado de Identificación Fiscal, Spanish company tax number)
-  * CUPS (Código Unificado de Punto de Suministro, Supply Point Unified Code)
-  * DNI (Documento nacional de identidad, Spanish personal identity codes)
+  * CIF (Código de Identificación Fiscal, Spanish company tax number)
+  * CUPS (Código Unificado de Punto de Suministro, Spanish meter point number)
+  * DNI (Documento Nacional de Identidad, Spanish personal identity codes)
   * Spanish IBAN (International Bank Account Number)
-  * NIE (Número de Identificación de Extranjeros, Spanish foreigner number)
+  * NIE (Número de Identificación de Extranjero, Spanish foreigner number)
   * NIF (Número de Identificación Fiscal, Spanish VAT number)
   * Referencia Catastral (Spanish real estate property id)
   * SEPA Identifier of the Creditor (AT-02)
@@ -101,15 +108,21 @@
   * NHS (United Kingdom National Health Service patient identifier)
   * SEDOL number (Stock Exchange Daily Official List number)
   * UPN (English Unique Pupil Number)
+  * UTR (United Kingdom Unique Taxpayer Reference)
   * VAT (United Kingdom (and Isle of Man) VAT registration number)
   * AMKA (Αριθμός Μητρώου Κοινωνικής Ασφάλισης, Greek social security number)
   * FPA, ΦΠΑ, ΑΦΜ (Αριθμός Φορολογικού Μητρώου, the Greek VAT number)
   * GRid (Global Release Identifier)
+  * GS1-128 (Standard to encode product information in Code 128 barcodes)
+  * NIT (Número de Identificación Tributaria, Guatemala tax number)
   * OIB (Osobni identifikacijski broj, Croatian identification number)
   * ANUM (Közösségi adószám, Hungarian VAT number)
   * IBAN (International Bank Account Number)
+  * NPWP (Nomor Pokok Wajib Pajak, Indonesian VAT Number)
   * PPS No (Personal Public Service Number, Irish personal number)
   * VAT (Irish tax reference number)
+  * Company Number (מספר חברה, or short ח.פ. Israeli company number)
+  * Identity Number (Mispar Zehut, מספר זהות, Israeli identity number)
   * IMEI (International Mobile Equipment Identity)
   * IMO number (International Maritime Organization number)
   * IMSI (International Mobile Subscriber Identity)
@@ -125,8 +138,12 @@
   * ISO 11649 (Structured Creditor Reference)
   * ISO 6346 (International standard for container identification)
   * ISSN (International Standard Serial Number)
+  * AIC (Italian code for identification of drugs)
   * Codice Fiscale (Italian tax code for individuals)
   * Partita IVA (Italian VAT number)
+  * CN (法人番号, hōjin bangō, Japanese Corporate Number)
+  * BRN (사업자 등록 번호, South Korea Business Registration Number)
+  * RRN (South Korean resident registration number)
   * LEI (Legal Entity Identifier)
   * Asmens kodas (Lithuanian, personal numbers)
   * PVM (Pridėtinės vertės mokestis mokėtojo kodas, Lithuanian VAT number)
@@ -144,7 +161,7 @@
   * NRIC No. (Malaysian National Registration Identity Card Number)
   * BRIN number (the Dutch school identification number)
   * BSN (Burgerservicenummer, the Dutch citizen identification number)
-  * Btw-nummer (Omzetbelastingnummer, the Dutch VAT number)
+  * Btw-identificatienummer (Omzetbelastingnummer, the Dutch VAT number)
   * Onderwijsnummer (the Dutch student identification number)
   * Postcode (the Dutch postal code)
   * Fødselsnummer (Norwegian birth number, the national identity number)
@@ -153,22 +170,31 @@
   * MVA (Merverdiavgift, Norwegian VAT number)
   * Orgnr (Organisasjonsnummer, Norwegian organisation number)
   * New Zealand bank account number
+  * IRD number (New Zealand Inland Revenue Department (Te Tari Tāke) number)
+  * CUI (Cédula Única de Identidad, Peruvian identity number)
+  * RUC (Registro Único de Contribuyentes, Peruvian company tax number)
   * NIP (Numer Identyfikacji Podatkowej, Polish VAT number)
   * PESEL (Polish national identification number)
   * REGON (Rejestr Gospodarki Narodowej, Polish register of economic units)
   * NIF (Número de identificação fiscal, Portuguese VAT number)
+  * RUC number (Registro Único de Contribuyentes, Paraguay tax number)
   * CF (Cod de înregistrare în scopuri de TVA, Romanian VAT number)
   * CNP (Cod Numeric Personal, Romanian Numerical Personal Code)
+  * ONRC (Ordine din Registrul Comerţului, Romanian Trade Register identifier)
   * PIB (Poreski Identifikacioni Broj, Serbian tax identification number)
   * ИНН (Идентификационный номер налогоплательщика, Russian tax identifier)
   * Orgnr (Organisationsnummer, Swedish company number)
   * Personnummer (Swedish personal identity number)
   * VAT (Moms, Mervärdesskatt, Swedish VAT number)
+  * UEN (Singapore's Unique Entity Number)
   * ID za DDV (Davčna številka, Slovenian VAT number)
   * IČ DPH (IČ pre daň z pridanej hodnoty, Slovak VAT number)
   * RČ (Rodné číslo, the Slovak birth number)
   * COE (Codice operatore economico, San Marino national tax number)
+  * NIT (Número de Identificación Tributaria, El Salvador tax number)
   * T.C. Kimlik No. (Turkish personal identification number)
+  * VKN (Vergi Kimlik Numarası, Turkish tax identification number)
+  * UBN (Unified Business Number, 統一編號, Taiwanese tax number)
   * ATIN (U.S. Adoption Taxpayer Identification Number)
   * EIN (U.S. Employer Identification Number)
   * ITIN (U.S. Individual Taxpayer Identification Number)
@@ -176,6 +202,12 @@
   * RTN (Routing transport number)
   * SSN (U.S. Social Security Number)
   * TIN (U.S. Taxpayer Identification Number)
+  * RUT (Registro Único Tributario, Uruguay tax number)
+  * VATIN (International value added tax identification number)
+  * RIF (Registro de Identificación Fiscal, Venezuelan VAT number)
+  * MST (Mã số thuế, Vietnam tax number)
+  * ID number (South African Identity Document number)
+  * TIN (South African Tax Identification Number)
  .
  Furthermore a number of generic check digit algorithms are available:
  .
@@ -183,20 +215,3 @@
   * the Damm algorithm
   * the Luhn and Luhn mod N algorithms
   * some algorithms described in ISO/IEC 7064: Mod 11, 2, Mod 37, 2,
-    Mod 97, 10, Mod 11, 10 and Mod 37, 36
- .
- This package contains the Python 3 version of the library.
-
-Package: python-stdnum-doc
-Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Suggests: www-browser
-Section: doc
-Description: Python module to handle standardized numbers and codes (Documentation)
- A Python module to parse, validate and reformat standard numbers and codes
- in different formats.
- .
- The package supports a great number of number formats and check digit
- algorithms.
- .
- This package contains the module's documentation.

## python-stdnum 1.16

=== debian/changelog ===
python-stdnum (1.16-1) unstable; urgency=medium

  * New upstream release:
    - Support XI country code for Northern Ireland VAT numbers
      (thanks Alexis de Lattre)
    - Switch data source for Austrian postal codes
      (thanks Bernd Schlapsi)
    - Fix Belarus VAT number online lookup

 -- Arthur de Jong <adejong@debian.org>  Sat, 06 Feb 2021 17:52:07 +0100

python-stdnum (1.15-1) unstable; urgency=medium

  [ Arthur de Jong ]
  * New upstream release:
    - Add modules for the following number formats:
      - CUI or CIF (Codul Unic de Înregistrare, Romanian company identifier)
      - PEID (Liechtenstein tax code for individuals and entities)
        (thanks Matthias Schmid)
      - ЄДРПОУ, EDRPOU (Identifier for enterprises and organizations in
        Ukraine) (thanks Leandro Regueiro)
      - РНОКПП, RNTRC (Individual taxpayer registration number in Ukraine)
        (thanks Leandro Regueiro)
    - Make list of EU member states part of public API
    - Retain RO prefix in Romanian VAT numbers
    - Support international VAT numbers that are only valid with country
      prefix
    - Expanded validation for Belgian VAT numbers
    - Use ABN as Australian VAT number
    - Remove GB from EU member states
  * Update debian/watch version
  * Specify Rules-Requires-Root: no
  * Upgrade to standards-version 4.5.1 (no changes needed)
  * Update debian/copyright

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Arthur de Jong <adejong@debian.org>  Wed, 13 Jan 2021 23:21:29 +0100

## python-stdnum 1.17

=== debian/changelog ===
python-stdnum (1.17-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - EPIC (Electoral Photo Identity Card, Indian Voter ID)
        (thanks Gaurav Chauhan)
      - GSTIN (Goods and Services Tax identification number, Indian VAT number)
        (thanks Gaurav Chauhan)
      - ISRC (International Standard Recording Code) (thanks Nuno André)
      - CC (Número de Cartão de Cidadão, Portuguese Identity number)
        (thanks David Vaz)
      - Postcode (the Swedish postal code) (thanks Michele Ciccozzi)
      - MOA (Thailand Memorandum of Association Number)
        (thanks Piruin Panichphol)
      - PIN (Thailand Personal Identification Number) (thanks Piruin Panichphol)
      - TIN (Thailand Taxpayer Identification Number) (thanks Piruin Panichphol)
    - Add ENCF validation support for Dominican Republic NCF
      (thanks Cristopher Ortega)
    - Add new e-CF types to Dominican Republic NCF
      (thanks Frank Roberto Chavez Sosa)
    - Improve French NIF validation (thanks Dimitri Papadopoulos)
    - Fix parsing of empty fields in Dominican Republic DGII checking
      (thanks Andres Rodriguez)
    - Fix handling of empty worksheet in Belgian bank download
      (thanks Dimitri Papadopoulos)
    - Fix detection of natural RUC values (thanks Victor Rodriguez)
    - Fix Belarus VAT number online lookup again
    - Fixes for problems with loading IMSI data from Wikipedia and dealing with
      inconsistencies
    - Remove South Korean BRN Fair Trade Commission website check due to CAPTCHA
  * Handle rename of README
  * Upgrade to standards-version 4.6.0 (no changes needed)
  * Add basic debian/upstream/metadata file

 -- Arthur de Jong <adejong@debian.org>  Sun, 03 Oct 2021 19:46:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: python
 Priority: optional
 Maintainer: Arthur de Jong <adejong@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Standards-Version: 4.5.0
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Standards-Version: 4.6.0
 Build-Depends: python3-all (>= 3.1.2-10~),
                debhelper-compat (= 13), dh-python,
                python3-setuptools,
                python3-nose (>= 1.2.0),
                python3-sphinx (>= 1.0.7+dfsg)
 Homepage: https://arthurdejong.org/python-stdnum/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-stdnum.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-stdnum
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-stdnum.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-stdnum
+Rules-Requires-Root: no
 
 Package: python3-stdnum
 Architecture: all
@@ -145,6 +146,7 @@
   * BRN (사업자 등록 번호, South Korea Business Registration Number)
   * RRN (South Korean resident registration number)
   * LEI (Legal Entity Identifier)
+  * PEID (Liechtenstein tax code for individuals and entities)
   * Asmens kodas (Lithuanian, personal numbers)
   * PVM (Pridėtinės vertės mokestis mokėtojo kodas, Lithuanian VAT number)
   * TVA (taxe sur la valeur ajoutée, Luxembourgian VAT number)
@@ -180,6 +182,7 @@
   * RUC number (Registro Único de Contribuyentes, Paraguay tax number)
   * CF (Cod de înregistrare în scopuri de TVA, Romanian VAT number)
   * CNP (Cod Numeric Personal, Romanian Numerical Personal Code)
+  * CUI or CIF (Codul Unic de Înregistrare, Romanian company identifier)
   * ONRC (Ordine din Registrul Comerţului, Romanian Trade Register identifier)
   * PIB (Poreski Identifikacioni Broj, Serbian tax identification number)
   * ИНН (Идентификационный номер налогоплательщика, Russian tax identifier)
@@ -195,6 +198,8 @@
   * T.C. Kimlik No. (Turkish personal identification number)
   * VKN (Vergi Kimlik Numarası, Turkish tax identification number)
   * UBN (Unified Business Number, 統一編號, Taiwanese tax number)
+  * ЄДРПОУ, EDRPOU (Identifier for enterprises and organizations in Ukraine)
+  * РНОКПП, RNTRC (Individual taxpayer registration number in Ukraine)
   * ATIN (U.S. Adoption Taxpayer Identification Number)
   * EIN (U.S. Employer Identification Number)
   * ITIN (U.S. Individual Taxpayer Identification Number)
@@ -207,11 +212,3 @@
   * RIF (Registro de Identificación Fiscal, Venezuelan VAT number)
   * MST (Mã số thuế, Vietnam tax number)
   * ID number (South African Identity Document number)
-  * TIN (South African Tax Identification Number)
- .
- Furthermore a number of generic check digit algorithms are available:
- .
-  * the Verhoeff algorithm
-  * the Damm algorithm
-  * the Luhn and Luhn mod N algorithms
-  * some algorithms described in ISO/IEC 7064: Mod 11, 2, Mod 37, 2,

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
  https://arthurdejong.org/python-stdnum/python-stdnum-(\d+)\.(\d+)\.tar\.gz

## python-stdnum 1.18

=== debian/changelog ===
python-stdnum (1.18-1) unstable; urgency=medium

  * New upstream release:
    - Add modules for the following number formats:
      - NN, NISS (Belgian national number) (thanks Cédric Krier)
      - CFI (ISO 10962 Classification of Financial Instruments)
      - Czech bank account number (thanks Petr Přikryl)
      - NIF, sometimes N.I.F. (Numéro d'Identification Fiscale, Algeria
        tax number) (thanks Leandro Regueiro)
      - V-number (Vinnutal, Faroe Islands tax number) (thanks Leandro Regueiro)
      - TIN (Taxpayer Identification Number, Ghana tax number)
        (thanks Leandro Regueiro)
      - PIN (Personal Identification Number, Kenya tax number)
        (thanks Leandro Regueiro)
      - ICE (Identifiant Commun de l’Entreprise, التعريف الموحد للمقاولة,
        Morocco tax number) (thanks Leandro Regueiro)
      - PIB (Poreski Identifikacioni Broj, Montenegro tax number)
        (thanks Leandro Regueiro)
      - ЕДБ (Едниствен Даночен Број, North Macedonia tax number)
        (thanks Leandro Regueiro)
      - CNIC number (Pakistani Computerised National Identity Card number)
        (thanks Syed Haseeb Shah)
      - Enotna matična številka občana (Unique Master Citizen Number)
        (thanks Blaž Bregar)
      - MF (Matricule Fiscal, Tunisia tax number) (thanks Leandro Regueiro)
    - Fix disabling check digit validation of Mexican CURP (thanks guyskk)
    - Support special validation of La Post SIRET
      (thanks BIGBen99 and Cédric Krier)
    - Fix support for "I" and "O" in CUSIP number (thanks Thomas Kavanagh)
    - Calculate ISO 7064 Mod 97, 10 check digits in the range 02-98 for IBAN
      (thanks David Svenson)
    - Fix German OffeneRegister lookups (change of URL and of data structure)
    - Add extra court alias for Berlin in German Handelsregisternummer
      (thanks Romuald R)
    - Ensure certificate for the Belarus VAT number check_nalog() lookup is
      included
    - Support parsing incomplete dates in GS1-128 (thanks Alexis de Lattre)
    - Improve validation of CAS Registry Number
    - Typo fixes (thanks Vladimir and Dimitri Papadopoulos)
    - Add a check_uid() function to the stdnum.ch.uid module
    - All validation exceptions should now inherit from ValueError
    - Switch from nose to pytest as test runner (closes: #1018584)
    - Update Fødselsnummer test case for date in future (closes: #1022311)
  * Update debian/copyright
  * Upgrade to standards-version 4.6.1 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sun, 13 Nov 2022 21:49:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Arthur de Jong <adejong@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: python3-all (>= 3.1.2-10~),
                debhelper-compat (= 13), dh-python,
                python3-setuptools,

## python-stdnum 1.19

=== debian/changelog ===
python-stdnum (1.19-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Arthur de Jong <adejong@debian.org>  Fri, 08 Sep 2023 15:24:38 +0200

python-stdnum (1.19-1) unstable; urgency=medium

  [ Arthur de Jong ]
  * New upstream release:
    - Add modules for the following number formats:
      - Tax Registration Number (الرقم الضريبي, Egypt tax number)
        (thanks Leandro Regueiro)
      - Postcode (the Spanish postal code) (thanks Víctor)
      - NIFp (Numéro d'Identification Fiscale Permanent, Guinea tax number)
        (thanks Leandro Regueiro)
      - BIS (Belgian BIS number) (thanks Jeff Horemans)
      - Matična številka poslovnega registra (Corporate Registration Number)
        (thanks Blaž Bregar)
      - OSS (European VAT on e-Commerce - One Stop Shop)
        (thanks Sergi Almacellas Abellana)
    - Extend the validation of the Albanian NIPT (NUIS) number
      (thanks Julien Launois)
    - Support different date formats in parsing GS1-128 application identifiers
    - Add get_county() function to Romanian CNP (thanks RaduBorzea)
    - Add functionality to get gender from Belgian National Number
      (thanks Jeff Horemans)
    - Add support for Finland HETU new century indicating signs
      (thanks Maks Turtiainen)
    - Add functionality to get (partial) birth date from Belgian National Number
      (thanks Jeff Horemans)
    - Extend validation of Canadian SIN (thanks Marcel Lecker)
    - Fix Belarusian UNP online validation
    - Various typo and documentation fixes (thanks valeriko,
      Dimitri Papadopoulos, Ali-Akber Saifee and Chales Horn)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all, python3-nose and
      python3-sphinx.
  * Update standards version to 4.6.2, no changes needed.

 -- Arthur de Jong <adejong@debian.org>  Sun, 20 Aug 2023 19:39:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Arthur de Jong <adejong@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Standards-Version: 4.6.1
-Build-Depends: python3-all (>= 3.1.2-10~),
+Standards-Version: 4.6.2
+Build-Depends: python3-all,
                debhelper-compat (= 13), dh-python,
                python3-setuptools,
-               python3-nose (>= 1.2.0),
-               python3-sphinx (>= 1.0.7+dfsg)
+               python3-nose,
+               python3-sphinx
 Homepage: https://arthurdejong.org/python-stdnum/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-stdnum.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-stdnum
@@ -212,3 +212,5 @@
   * RIF (Registro de Identificación Fiscal, Venezuelan VAT number)
   * MST (Mã số thuế, Vietnam tax number)
   * ID number (South African Identity Document number)
+  * TIN (South African Tax Identification Number)
+ .
